=== debian/changelog ===
mindthegap (2.2.2-2) unstable; urgency=medium

  * Team upload.
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Tue, 23 Jun 2020 08:11:54 +0200

mindthegap (2.2.2-1) unstable; urgency=medium

  * Initial release (Closes: #931826)

 -- Shayan Doust <hello@shayandoust.me>  Tue, 02 Jul 2019 13:41:39 +0100
