=== debian/control ===
Source: mindthegap
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Shayan Doust <hello@shayandoust.me>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               cmake,
               libgatbcore-dev,
               libboost-dev,
               zlib1g-dev,
               libhdf5-dev
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/med-team/mindthegap
Vcs-Git: https://salsa.debian.org/med-team/mindthegap.git
Homepage: https://github.com/GATB/MindTheGap
Rules-Requires-Root: no

Package: mindthegap
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libgatbcore3
Description: performs detection and assembly of DNA insertion variants in NGS read datasets
 Designed to call insertions of any size, whether they are novel or
 duplicated, homozygous or heterozygous in the donor genome. It takes as
 input a set of reads and a reference genome. It outputs two sets of
 FASTA sequences: one is the set of breakpoints of detection insertion
 sites, the other is the set of assembled insertions for each
 breakpoint. MindTheGap can also be used as a genome assembly finishing
 tool. It can fill the gaps between a set of input contigs without any a
 priori on their relative order and orientation. It outputs the results
 in gfa file.

Package: mindthegap-examples
Architecture: all
Depends: ${misc:Depends},
	 python3,
         bsdextrautils | bsdmainutils (<< 12.1.1~)
Recommends: mindthegap
Description: optional scripts and example resources for mindthegap
 Designed to call insertions of any size, whether they are novel or
 duplicated, homozygous or heterozygous in the donor genome. it takes
 as input a set of reads and a reference genome. It outputs two sets
 of FASTA sequences: one is the set of breakpoints of detection
 insertion sites, the other is the set of assembled insertions for
 each breakpoint. MindTheGap can also be used as a genome assembly
 finishing tool. It can fill the gap between a set of input contigs
 without any a priori on their relative order and orientation. It
 outputs the results in gfa file. Please note that this package is
 meant to accommodate the mindthegap package and only acts as example
 to how this package can be utilised.
