=== debian/watch ===
version=4

https://github.com/GATB/MindTheGap/releases .*/archive/v?@ANY_VERSION@@ARCHIVE_EXT@
