## mindthegap 2.2.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -28,7 +28,7 @@
 # The default version number is the latest official build
 SET (gatb-tool_VERSION_MAJOR 2)
 SET (gatb-tool_VERSION_MINOR 2)
-SET (gatb-tool_VERSION_PATCH 2)
+SET (gatb-tool_VERSION_PATCH 3)
 
 # But, it is possible to define another release number during a local build
 IF (DEFINED MAJOR)
