=== debian/changelog ===
mindthegap (2.2.3-4) unstable; urgency=medium

  * Team upload
  * Versioned (Build-)Depends: libgatbcore* (>= 1.4.2+dfsg-7)

 -- Andreas Tille <tille@debian.org>  Fri, 17 Dec 2021 07:02:36 +0100

mindthegap (2.2.3-3) unstable; urgency=medium

  * Team upload.
  * Normalize watch file
  * Apply multi-arch hints.
    + mindthegap-examples: Add :any qualifier for python3 dependency.

 -- Andreas Tille <tille@debian.org>  Sat, 11 Dec 2021 16:33:23 +0100

mindthegap (2.2.3-2) UNRELEASED; urgency=medium

  * Team upload.
  * Fix watchfile to detect new versions on github

 -- Andreas Tille <tille@debian.org>  Sat, 11 Dec 2021 16:31:42 +0100

mindthegap (2.2.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * d/watch: Fix watch regex

 -- Nilesh Patra <nilesh@debian.org>  Tue, 21 Sep 2021 21:08:31 +0530
