=== debian/control ===
--- 
+++ 
@@ -5,11 +5,11 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                cmake,
-               libgatbcore-dev,
+               libgatbcore-dev (>= 1.4.2+dfsg-7),
                libboost-dev,
                zlib1g-dev,
                libhdf5-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/med-team/mindthegap
 Vcs-Git: https://salsa.debian.org/med-team/mindthegap.git
 Homepage: https://github.com/GATB/MindTheGap
@@ -19,7 +19,7 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         libgatbcore3
+         libgatbcore3 (>= 1.4.2+dfsg-7)
 Description: performs detection and assembly of DNA insertion variants in NGS read datasets
  Designed to call insertions of any size, whether they are novel or
  duplicated, homozygous or heterozygous in the donor genome. It takes as
@@ -34,7 +34,7 @@
 Package: mindthegap-examples
 Architecture: all
 Depends: ${misc:Depends},
-	 python3,
+	 python3:any,
          bsdextrautils | bsdmainutils (<< 12.1.1~)
 Recommends: mindthegap
 Description: optional scripts and example resources for mindthegap
