## mindthegap 2.3.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -27,8 +27,8 @@
 ################################################################################
 # The default version number is the latest official build
 SET (gatb-tool_VERSION_MAJOR 2)
-SET (gatb-tool_VERSION_MINOR 2)
-SET (gatb-tool_VERSION_PATCH 3)
+SET (gatb-tool_VERSION_MINOR 3)
+SET (gatb-tool_VERSION_PATCH 0)
 
 # But, it is possible to define another release number during a local build
 IF (DEFINED MAJOR)
