=== debian/changelog ===
mindthegap (2.3.0-5) unstable; urgency=medium

  * Team upload.
  * Fix build with CMake 4
    Closes: #1113288
  * d/watch: version=5
  * Standards-Version: 4.7.2 (routine-update)
  * debputy lint --auto-fix (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 19 Oct 2025 19:14:03 +0200

mindthegap (2.3.0-4) unstable; urgency=medium

  * fix-use-as-function.patch: new: fix build failure with gcc-14.
    (Closes: #1075273)
  * d/control: declare compliance to standards version 4.7.0.
  * d/control: add myself to uploaders.
  * d/salsa-ci.yml: do not test build on i386 due to missing dependency.

 -- Étienne Mollier <emollier@debian.org>  Fri, 06 Sep 2024 21:01:08 +0200

mindthegap (2.3.0-3) unstable; urgency=medium

  * Team upload.
  * Add loong64 binary output for Loongarch
    Closes: #1059963

 -- Andreas Tille <tille@debian.org>  Sat, 06 Jan 2024 11:36:54 +0100

mindthegap (2.3.0-2) unstable; urgency=medium

  * Team upload.
  * d/control: Only build on architectures supported by gatb-core.
    (Closes: #1031531)
  * d/control: Bump Standards-Version to 4.6.2; no changes needed.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Fri, 17 Feb 2023 17:54:57 -0500

mindthegap (2.3.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2.3.0
  * Bump Standards-Version to 4.6.1 (no changes needed)

 -- Nilesh Patra <nilesh@debian.org>  Sun, 29 May 2022 11:15:45 +0530
