=== debian/control ===
--- 
+++ 
@@ -1,25 +1,29 @@
 Source: mindthegap
+Standards-Version: 4.7.2
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Shayan Doust <hello@shayandoust.me>
+Uploaders:
+ Shayan Doust <hello@shayandoust.me>,
+ Étienne Mollier <emollier@debian.org>,
 Section: science
 Priority: optional
-Build-Depends: debhelper-compat (= 13),
-               cmake,
-               libgatbcore-dev (>= 1.4.2+dfsg-7),
-               libboost-dev,
-               zlib1g-dev,
-               libhdf5-dev
-Standards-Version: 4.6.0
+Build-Depends:
+ debhelper-compat (= 13),
+ cmake,
+ libgatbcore-dev,
+ libboost-dev,
+ zlib1g-dev,
+ libhdf5-dev,
 Vcs-Browser: https://salsa.debian.org/med-team/mindthegap
 Vcs-Git: https://salsa.debian.org/med-team/mindthegap.git
 Homepage: https://github.com/GATB/MindTheGap
 Rules-Requires-Root: no
 
 Package: mindthegap
-Architecture: any
-Depends: ${shlibs:Depends},
-         ${misc:Depends},
-         libgatbcore3 (>= 1.4.2+dfsg-7)
+Architecture: any-amd64 arm64 loong64 mips64el ppc64el ia64 ppc64 riscv64 sparc64 alpha
+Depends:
+ ${shlibs:Depends},
+ ${misc:Depends},
+ libgatbcore3,
 Description: performs detection and assembly of DNA insertion variants in NGS read datasets
  Designed to call insertions of any size, whether they are novel or
  duplicated, homozygous or heterozygous in the donor genome. It takes as
@@ -33,10 +37,12 @@
 
 Package: mindthegap-examples
 Architecture: all
-Depends: ${misc:Depends},
-	 python3:any,
-         bsdextrautils | bsdmainutils (<< 12.1.1~)
-Recommends: mindthegap
+Depends:
+ ${misc:Depends},
+ python3:any,
+ bsdextrautils,
+Recommends:
+ mindthegap,
 Description: optional scripts and example resources for mindthegap
  Designed to call insertions of any size, whether they are novel or
  duplicated, homozygous or heterozygous in the donor genome. it takes
